org.apache.coyote.http11

## Class Http11AprProtocol.Http11ConnectionHandler

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>
  - - org.apache.coyote.http11.Http11AprProtocol.Http11ConnectionHandler

All Implemented Interfaces:
  AbstractEndpoint.Handler, AprEndpoint.Handler

Enclosing class:
  Http11AprProtocol

    protected static class Http11AprProtocol.Http11ConnectionHandler
    extends AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>
    implements AprEndpoint.Handler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Field Summary

Fields
`protected Http11AprProtocol` `proto`

### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`connections, global, recycledProcessors, registerCount`

### Method Summary

Methods
`protected Http11AprProcessor` `createProcessor()`
`protected Processor<Long>` `createUpgradeProcessor(SocketWrapper<Long> socket, HttpUpgradeHandler httpUpgradeProcessor)`
`protected Processor<Long>` `createUpgradeProcessor(SocketWrapper<Long> socket, UpgradeInbound inbound)` Deprecated. Will be removed in Tomcat 8.0.x.
`protected Log` `getLog()`
`protected AbstractProtocol` `getProtocol()`
`protected void` `initSsl(SocketWrapper<Long> socket, Processor<Long> processor)`
`protected void` `longPoll(SocketWrapper<Long> socket, Processor<Long> processor)`
`void` `recycle()` Recycle resources associated with the handler.
`void` `release(SocketWrapper<Long> socket, Processor<Long> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`getGlobal, process, register, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tomcat.util.net.AprEndpoint.Handler

`process`

### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`getGlobal`

### Field Detail

#### proto

    protected Http11AprProtocol proto

### Method Detail

#### getProtocol

    protected AbstractProtocol getProtocol()

Specified by:
  `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### recycle

    public void recycle()

Description copied from interface: `AbstractEndpoint.Handler`
Recycle resources associated with the handler.

Specified by:
  `recycle` in interface `AbstractEndpoint.Handler`
Overrides:
  `recycle` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### release

    public void release(SocketWrapper<Long> socket,
               Processor<Long> processor,
               boolean isSocketClosing,
               boolean addToPoller)

Expected to be used by the handler once the processor is no longer required.

Specified by:
  `release` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`
Parameters:
  `socket` -
  `processor` -
  `isSocketClosing` - Not used in HTTP
  `addToPoller` -

#### initSsl

    protected void initSsl(SocketWrapper<Long> socket,
               Processor<Long> processor)

Specified by:
  `initSsl` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### longPoll

    protected void longPoll(SocketWrapper<Long> socket,
                Processor<Long> processor)

Specified by:
  `longPoll` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### createProcessor

    protected Http11AprProcessor createProcessor()

Specified by:
  `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`

#### createUpgradeProcessor

    @Deprecated
    protected Processor<Long> createUpgradeProcessor(SocketWrapper<Long> socket,
                                                    UpgradeInbound inbound)
                                              throws IOException

Deprecated. Will be removed in Tomcat 8.0.x.

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`
Throws:
  `IOException`

#### createUpgradeProcessor

    protected Processor<Long> createUpgradeProcessor(SocketWrapper<Long> socket,
                                         HttpUpgradeHandler httpUpgradeProcessor)
                                              throws IOException

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Long,Http11AprProcessor>`
Throws:
  `IOException`